package application;
	
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import javafx.scene.Parent;
import javafx.scene.Scene;


public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		
		Model model = new Model();
		
		try {
			
			FXMLLoader loader = new FXMLLoader(getClass().getResource("es3.fxml"));
			Parent view = (Parent)loader.load() ;
			
			InserisciController controller = loader.getController();
			controller.setModel(model);
			
			Scene scene = new Scene(view);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
