package application;


import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class Impiccato extends Application {

	@Override
public void start(Stage primaryStage) {
		
		Model model = new Model();
		
		try {
			
			FXMLLoader loader = new FXMLLoader(getClass().getResource("Impicc.fxml"));
			Parent view = (Parent)loader.load() ;
			
			ImpiccController controller = loader.getController();
			controller.setModel(model);
			
			Scene scene = new Scene(view);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
		//	controller.updateView() ;
			primaryStage.show();
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
